<?xml version="1.0" standalone="no" ?>
<!-- JEDIVIEW Project File -->
<Project name="" type="1">
    <CFG name="Debug Ram"/>
    <ProjectType name="Executable" output="elf">
            <CFG name="C Source" extension="c;cpp;cxx;cc" output="o" tool="CC" Application="arm-elf-gcc" pre="false" flag = "CFLAGS" cmd="@$(CC) -c -o &quot;$@&quot; &quot;$&lt;&quot; $(CFLAGS)"/> 
            <CFG name="Assembler Source" extension="asm;s" output="o" tool="AS" Application="arm-elf-as" pre="false" flag = "ASFLAGS" cmd="@$(CC) -c -o &quot;$@&quot; &quot;$&lt;&quot; $(ASFLAGS)"/>
            <CFG name="Object File" extension="obj;o;a;lib" output="elf" tool="LD" Application="arm-elf-ld" pre="false" flag = "LDFLAGS" cmd="@$(CC) -o $@ $(STARTUP) $^ $(LDFLAGS)" />
    </ProjectType> 
    
    <Configurations>
        <CFG name="Debug Ram">
            <Debug name="./DbgRam/%s.elf" path="./DbgRam" argu="" output="" cmdfile=""/>
            <Tool name="CC" base="-gstabs+ -O0 -D_DEBUG -Wall" current="-gstabs+ -O0 -D_DEBUG -Wall -I."/>
            <Tool name="AS" base="-Wa,--gstabs" current="-Wa,--gstabs"/>
            <Tool name="LD" base="-T ldscript_ram.ld -Wl,--defsym -Wl,__stack_base=$(TOPMEMORY) -static " current=" -T ldscript_ram.ld -Wl,--defsym -Wl,__stack_base=$(TOPMEMORY) -static "/>
            
            <General name="%s.%s" path="./DbgRam" />
            <Post>
            	<CFG name=""/>
            </Post>
            <Pre>
            	<CFG name=""/>
            </Pre>
        </CFG>
        <CFG name="Debug Rom">
            <Debug name="./DbgRom/%s.elf" path="./DbgRom" argu="" output="" cmdfile=""/>
            <Tool name="CC" base="-gstabs+ -O0 -D_DEBUG -Wall" current="-gstabs+ -O0 -D_DEBUG -Wall -I."/>
            <Tool name="AS" base="-Wa,--gstabs" current="-Wa,--gstabs"/>
            <Tool name="LD" base="-T ldscript_rom.ld -Wl,--defsym -Wl,__stack_base=$(TOPMEMORY)" current="-T ldscript_rom.ld -Wl,--defsym -Wl,__stack_base=$(TOPMEMORY)"/>
            
            <General name="%s.%s" path="./DbgRom" />
            
            <Post>
            	<CFG name=""/>
            </Post>
            <Pre>
            	<CFG name=""/>
            </Pre>
        </CFG>
        <CFG name="Release Ram">
            
            <Debug name="./RelRam/%s.elf" path="./RelRam" argu="" output="" cmdfile=""/>
            <Tool name="CC" base="-O2" current="-O2"/>
            <Tool name="AS" base="-Os" current="-Os"/>
            <Tool name="LD" base="-T ldscript_ram.ld -static -Wl,--defsym -Wl,__stack_base=$(TOPMEMORY)" current="-T ldscript_ram.ld -static -Wl,--defsym -Wl,__stack_base=$(TOPMEMORY)"/>
            <General name="%s.%s" path="./RelRam" />
            <Post>
            	<CFG name=""/>
            </Post>
            <Pre>
            	<CFG name=""/>
            </Pre>
        </CFG>
        <CFG name="Release Rom">
            
            <Debug name="./RelRom/%s.elf" path="./RelRom" argu="" output="" cmdfile=""/>
            <Tool name="CC" base="-O2" current="-O2"/>
            <Tool name="AS" base="-Os" current="-Os"/>
            <Tool name="LD" base="-T ldscript_rom.ld -Wl,--defsym -Wl,__stack_base=$(TOPMEMORY)" current="-T ldscript_rom.ld -Wl,--defsym -Wl,__stack_base=$(TOPMEMORY)"/>
            <General name="%s.%s" path="./RelRom" />
            <Post>
            	<CFG name=""/>
            </Post>
            <Pre>
            	<CFG name=""/>
            </Pre>
        </CFG>
    </Configurations>
    <Target>
	<LinkOrder name=""/>
        <Group name="Source Files" filter="c;cpp;cxx;cc;S;s">
        </Group>
        <Group name="Header Files" filter="h;hpp;hxx;inc;inl">
        </Group>
        <Group name="Lib Files" filter="obj;o;a;lib">
        </Group>
    </Target>
</Project>
